# Generated by Django 4.2.18 on 2025-04-23 08:45

from django.db import migrations, models
import django.db.models.deletion


def update_existing_ptr_record(apps, schema_editor):
    PtrRecord = apps.get_model("nautobot_dns_records", "PtrRecord")
    AddressRecord = apps.get_model("nautobot_dns_records", "AddressRecord")
    for record in PtrRecord.objects.all():
        record.record = AddressRecord.objects.filter(address=record.address).first()
        record.save()


def undo_update_existing_ptr_record(apps, schema_editor):
    PtrRecord = apps.get_model("nautobot_dns_records", "PtrRecord")
    for record in PtrRecord.objects.all():
        record.label = record.label()
        record.save()


class Migration(migrations.Migration):

    dependencies = [
        ("nautobot_dns_records", "0005_alter_addressrecord_status_alter_cnamerecord_status_and_more"),
    ]

    operations = [
        migrations.RemoveConstraint(
            model_name="ptrrecord",
            name="ptr_unique_label_address",
        ),
        migrations.AddField(
            model_name="ptrrecord",
            name="record",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="nautobot_dns_records.addressrecord",
                null=True,
                blank=True,
            ),
            preserve_default=False,
        ),
        migrations.RunPython(update_existing_ptr_record, undo_update_existing_ptr_record),
        migrations.AlterField(
            model_name="ptrrecord",
            name="record",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="nautobot_dns_records.addressrecord",
            ),
            preserve_default=False,
        ),
        migrations.RemoveField(
            model_name="ptrrecord",
            name="label",
        ),
        migrations.AddConstraint(
            model_name="ptrrecord",
            constraint=models.UniqueConstraint(fields=("address", "record"), name="ptr_unique_address_record"),
        ),
    ]
